Subject: bug#33919: [PATCH 0/5] Add Zstandard compression for installation and utilities

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Jun 2019 17:44:37 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Alex <[email-masked]>,  [email-masked], Michael Albinus <[email-masked]>
> Date: Sun, 23 Jun 2019 20:32:05 +0200
> 
> > I'm okay with adding support for zstd to Emacs, but I'm not sure we
> > should complicate the build with offering yet another compression
> > option.  Up front, I don't think the advantages of zstd are really so
> > overwhelming that they will justify the complexity.
> >
> > So maybe split the patch series in two; the part that adds zstd
> > support to Emacs can be installed already.
> 
> Nothing further was done here (I think), but Michael confirmed that the
> Tramp part of the changes work.  And the functionality is split into
> patches -- I can apply the first three patches (the ones that add the
> support for external zstd binaries) and skip the last two (that add a
> compilation option for the zstd library)?

When you ask a question, I'd appreciate if next time you waited a bit
longer for the answer.  (I've only seen the question this morning,
i.e. 12 hours ago, and didn't yet have time to re-read the discussions
and the patches.)  TIA.